Source

SageTeX / test

Diff from to

File test

-#!/usr/bin/env bash
+#!/bin/sh
 
 # this runs Sage on the generated .sage files to see if they work ok
 # this is basically the spkg-check file
 
-function checkdotsage
+typeset()
+{
+    pdflatex -interaction=nonstopmode $1
+    if [ $? -ne 0 ]
+    then
+        echo "Error typesetting $1! You likely need to install TikZ"
+        echo "(version 2.00 or newer) to fully test SageTeX."
+        exit 1
+    fi
+}
+
+checkdotsage()
 {
     sage $1.sage
     if [ $? -ne 0 ]
     fi
 }
 
-pdflatex example.tex > /dev/null
+typeset example.tex
 checkdotsage example
 
-pdflatex sagetexpackage.dtx > /dev/null
+typeset sagetexpackage.dtx
 checkdotsage sagetexpackage
 
 # if we get here, we assume the .sage files are good, and exit successfully